package kcg.faics.equip.vo;
/** 
 * EquipSearchVO.java
 * @author 이영호 
 * @since 2017. 6. 8.
 *
 *  	 수정일                    	수정자                                       수정내용
 *  -------------	--------	---------------------------
 *  2017. 6. 8. 	이영호				      최초생성
 * 
 */
public class EquipVO {
	private String serNo;
	private String num;
	private String equipType;
	private String equipTypeName;
	private String equipName;
	private String police;
	private String policeStr;
	private String buyYear;
	private String buyMonth;
	private String buyDay;
	private String buyDate;
	private String useTerm;
	private String standard;
	private String purpose;
	private String buyPlace;
	private String price;
	private String madeIn;
	private String serialNo;
	private String useSection;
	private String operate;
	private String fileName1;
	private String fileName2;
	private String fileName3;
	private String bigo;
	private String createDate;
	private String writer;
	private String logDate;
			
	/**
	 * @return the serNo
	 */
	public String getSerNo() {
		return serNo;
	}
	
	/**
	 * @return the num
	 */
	public String getNum() {
		return num;
	}

	/**
	 * @return the police
	 */
	public String getPolice() {
		return police;
	}

	/**
	 * @param police the police to set
	 */
	public void setPolice(String police) {
		this.police = police;
	}

	/**
	 * @return the policeStr
	 */
	public String getPoliceStr() {
		return policeStr;
	}

	/**
	 * @param policeStr the policeStr to set
	 */
	public void setPoliceStr(String policeStr) {
		this.policeStr = policeStr;
	}

	/**
	 * @param num the num to set
	 */
	public void setNum(String num) {
		this.num = num;
	}

	/**
	 * @param serNo the serNo to set
	 */
	public void setSerNo(String serNo) {
		this.serNo = serNo;
	}
	/**
	 * @return the equipType
	 */
	public String getEquipType() {
		return equipType;
	}
	
	/**
	 * @return the equipTypeName
	 */
	public String getEquipTypeName() {
		return equipTypeName;
	}

	/**
	 * @param equipTypeName the equipTypeName to set
	 */
	public void setEquipTypeName(String equipTypeName) {
		this.equipTypeName = equipTypeName;
	}

	/**
	 * @param equip the equipType to set
	 */
	public void setEquipType(String equipType) {
		this.equipType = equipType;
	}
	/**
	 * @return the equipName
	 */
	public String getEquipName() {
		return equipName;
	}
	/**
	 * @param equipName the equipName to set
	 */
	public void setEquipName(String equipName) {
		this.equipName = equipName;
	}
	/**
	 * @return the buyYear
	 */
	public String getBuyYear() {
		return buyYear;
	}
	/**
	 * @param buyYear the buyYear to set
	 */
	public void setBuyYear(String buyYear) {
		this.buyYear = buyYear;
	}
	/**
	 * @return the buyMonth
	 */
	public String getBuyMonth() {
		return buyMonth;
	}
	/**
	 * @param buyMonth the buyMonth to set
	 */
	public void setBuyMonth(String buyMonth) {
		this.buyMonth = buyMonth;
	}
	/**
	 * @return the buyDay
	 */
	public String getBuyDay() {
		return buyDay;
	}
	/**
	 * @param buyDay the buyDay to set
	 */
	public void setBuyDay(String buyDay) {
		this.buyDay = buyDay;
	}
	/**
	 * @return the buyDate
	 */
	public String getBuyDate() {
		return buyDate;
	}
	/**
	 * @param buyDate the buyDate to set
	 */
	public void setBuyDate(String buyDate) {
		this.buyDate = buyDate;
	}
	/**
	 * @return the useTerm
	 */
	public String getUseTerm() {
		return useTerm;
	}
	/**
	 * @param useTerm the useTerm to set
	 */
	public void setUseTerm(String useTerm) {
		this.useTerm = useTerm;
	}
	/**
	 * @return the standard
	 */
	public String getStandard() {
		return standard;
	}
	/**
	 * @param standard the standard to set
	 */
	public void setStandard(String standard) {
		this.standard = standard;
	}
	/**
	 * @return the purpose
	 */
	public String getPurpose() {
		return purpose;
	}
	/**
	 * @param purpose the purpose to set
	 */
	public void setPurpose(String purpose) {
		this.purpose = purpose;
	}
	/**
	 * @return the buyPlace
	 */
	public String getBuyPlace() {
		return buyPlace;
	}
	/**
	 * @param buyPlace the buyPlace to set
	 */
	public void setBuyPlace(String buyPlace) {
		this.buyPlace = buyPlace;
	}
	/**
	 * @return the price
	 */
	public String getPrice() {
		return price;
	}
	/**
	 * @param price the price to set
	 */
	public void setPrice(String price) {
		this.price = price;
	}
	/**
	 * @return the madeIn
	 */
	public String getMadeIn() {
		return madeIn;
	}
	/**
	 * @param madeIn the madeIn to set
	 */
	public void setMadeIn(String madeIn) {
		this.madeIn = madeIn;
	}
	/**
	 * @return the serialNo
	 */
	public String getSerialNo() {
		return serialNo;
	}
	/**
	 * @param serialNo the serialNo to set
	 */
	public void setSerialNo(String serialNo) {
		this.serialNo = serialNo;
	}
	/**
	 * @return the useSection
	 */
	public String getUseSection() {
		return useSection;
	}
	/**
	 * @param useSection the useSection to set
	 */
	public void setUseSection(String useSection) {
		this.useSection = useSection;
	}
	/**
	 * @return the operate
	 */
	public String getOperate() {
		return operate;
	}
	/**
	 * @param operate the operate to set
	 */
	public void setOperate(String operate) {
		this.operate = operate;
	}
	/**
	 * @return the fileName1
	 */
	public String getFileName1() {
		return fileName1;
	}
	/**
	 * @param fileName1 the fileName1 to set
	 */
	public void setFileName1(String fileName1) {
		this.fileName1 = fileName1;
	}
	/**
	 * @return the fileName2
	 */
	public String getFileName2() {
		return fileName2;
	}
	/**
	 * @param fileName2 the fileName2 to set
	 */
	public void setFileName2(String fileName2) {
		this.fileName2 = fileName2;
	}
	/**
	 * @return the fileName3
	 */
	public String getFileName3() {
		return fileName3;
	}
	/**
	 * @param fileName3 the fileName3 to set
	 */
	public void setFileName3(String fileName3) {
		this.fileName3 = fileName3;
	}
	/**
	 * @return the bigo
	 */
	public String getBigo() {
		return bigo;
	}
	/**
	 * @param bigo the bigo to set
	 */
	public void setBigo(String bigo) {
		this.bigo = bigo;
	}
	/**
	 * @return the createDate
	 */
	public String getCreateDate() {
		return createDate;
	}
	/**
	 * @param createDate the createDate to set
	 */
	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}
	/**
	 * @return the writer
	 */
	public String getWriter() {
		return writer;
	}
	/**
	 * @param writer the writer to set
	 */
	public void setWriter(String writer) {
		this.writer = writer;
	}
	/**
	 * @return the logDate
	 */
	public String getLogDate() {
		return logDate;
	}
	/**
	 * @param logDate the logDate to set
	 */
	public void setLogDate(String logDate) {
		this.logDate = logDate;
	}
	
	
	
	public void setBuyDateEach(){
		if( this.buyDate.length() == 8 ){
			this.buyYear = this.buyDate.substring(0,4);
			this.buyMonth = this.buyDate.substring(4,6);
			this.buyDay = this.buyDate.substring(6,8);
		}else if(this.buyDate.length() == 10){
			this.buyYear = this.buyDate.substring(0,4);
			this.buyMonth = this.buyDate.substring(5,7);
			this.buyDay = this.buyDate.substring(8,10);
		}
	}
	
	public void print(){
		String totalStr = "";
		
		totalStr += "[ serNo : " + this.serNo+ "] \n ";
		totalStr += "[ num : " + this.num+ "] \n ";
		totalStr += "[ equipType : " + this.equipType+ "] \n ";
		totalStr += "[ equipTypeName : " + this.equipTypeName+ "] \n ";
		totalStr += "[ equipName : " + this.equipName+ "] \n ";
		totalStr += "[ police : " + this.police+ "] \n ";
		totalStr += "[ policeStr : " + this.policeStr+ "] \n ";
		totalStr += "[ buyYear : " + this.buyYear+ "] \n ";
		totalStr += "[ buyMonth : " + this.buyMonth+ "] \n ";
		totalStr += "[ buyDay : " + this.buyDay+ "] \n ";
		totalStr += "[ buyDate : " + this.buyDate+ "] \n ";
		totalStr += "[ useTerm : " + this.useTerm+ "] \n ";
		totalStr += "[ standard : " + this.standard+ "] \n ";
		totalStr += "[ purpose : " + this.purpose+ "] \n ";
		totalStr += "[ buyPlace : " + this.buyPlace+ "] \n ";
		totalStr += "[ price : " + this.price+ "] \n ";
		totalStr += "[ madeIn : " + this.madeIn+ "] \n ";
		totalStr += "[ serialNo : " + this.serialNo+ "] \n ";
		totalStr += "[ useSection : " + this.useSection+ "] \n ";
		totalStr += "[ operate : " + this.operate+ "] \n ";
		totalStr += "[ fileName1 : " + this.fileName1+ "] \n ";
		totalStr += "[ fileName2 : " + this.fileName2+ "] \n ";
		totalStr += "[ fileName3 : " + this.fileName3+ "] \n ";
		totalStr += "[ bigo : " + this.bigo+ "] \n ";
		totalStr += "[ createDate : " + this.createDate+ "] \n ";
		totalStr += "[ writer : " + this.writer+ "] \n ";
		totalStr += "[ logDate : " + this.logDate+ "] \n ";

		System.out.println(totalStr);
	}
}
